/**
 * 链接小工具组件(弹窗) by fairyly on 2018/06/15
 * 组件调用
 */


 <template>
  <div>
    <linktools :projectName="projectName" :linkToolsVisible="linkToolsVisible" :showType="showType" @linkSelect="linkSelect"/>
    <div style="margin:50px;">
    <el-button @click="linkToolsVisible = !linkToolsVisible" type="primary">弹窗链接小工具</el-button>
     </div>
    <linktoolspage :projectName="projectName" ref="childlinktoolspage"  :linkToolsVisible="linkToolsVisible" :showType="showType" @linkSelect="linkSelect"/>
    <el-button @click="saveInfo" type="primary">使用页保存方法</el-button>
  </div>
 </template>

 <script>
  import Linktools from '../component/link-tools/linktools.vue'
  import Linktoolspage from '../component/link-tools/linktoolspage.vue'


 export default {
   data() {
    return {
       // 链接小工具参数
      projectName: '', // 当前项目名
      linkToolsVisible: false,
      // 显示场景类型
      showType: 0, //插件默认0:显示全部 ; 1: (底部导航);2: (公众号菜单:只有小程序的,没有h5)
    }
   },
  components: {
    Linktools,
    Linktoolspage
  },
  methods:{
    // 显示事件
    showLinkDialog() {
      this.linkToolsVisible = true;
    },
    linkSelect(val) {
      console.log(val)
      // 关闭时隐藏
      this.linkToolsVisible = false;
    },
    // 使用页保存方法
    saveInfo() {
        var that = this;
        // 父组件调用子组件方法
        that.$refs.childlinktoolspage.confirmLinkSelect();
    },
  }
 }
 </script>

